Bug 25272 - Не печатает на принтеры удалённого CUPS
: Не печатает на принтеры удалённого CUPS
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/cups)
: unstable
: all Linux
: P3 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-03-23 12:33 by
Modified: 2013-10-21 15:13 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-03-23 12:33:56
Имеется сервер 4.1 с CUPS 1.3.10
CUPS на сервере вещает перечень своих принтеров.
Имеется ноут с текущим Сизифом и CUPS 1.4.6.
Принтера на сервере CUPS на ноуте видит.
Печать из любой программы на ноуте не вызывает появления иконки принтера (KDE4)
в системном лотке, однако в работах на локальном CUPS задача появляется. После
пары минут задача исчезает не попав на CUPS сервера. Статус задачи на CUPS
ноута был:
processing since
ср, 23-бер-2011 11:18:13 +0200 
"Print file accepted - job ID 25684."

Проблема замечена сразу-же после установки Сизифа на ноут. Ни на одной машине в
этой сети с Branch 5.1 этой проблемы нет.
------- Comment #1 From 2011-03-28 14:13:40 -------
После последнего обновления уже печатает.
------- Comment #2 From 2011-05-18 22:37:56 -------
Таки проблемы с этой версией CUPS!
Сегодня час бился с печатью tif-изображения на удалённый CUPS 1.3.10 принтер.
Так и не добился!

Ещё заметил, что в новом CUPS WEB-интерфейс не позволяет включить принтер со
статусом "Остановлен". Заметил на SMB-принтере, который исчез было. Удалось
включить только из интерфейса kdeprinter-3.5.10, версия из КДЕ 4 в этом смысле
вообще нерабочая.

На версии x86_64 замечалось падение локального CUPS при печати изображения из
GIMP.

Далее буду отлавливать конкретные факты и приводить их тут.
------- Comment #3 From 2011-05-18 23:55:05 -------
Сообщайте, пожалуйста, о разных проблемах в разных багах.
------- Comment #4 From 2011-05-20 16:31:13 -------
Значит начнём с простого.
Беру простой текст программы JavaScript, две страницы, и печатаю на удалённый
CUPS-принтер.
Из странностей сразу-же бросается большое время прохождения задания для
простого текста - 30 секунд. Из CUPS на 5.1 многие изображения на печать
проходят быстрее.
А так-же продолжительное время, после печати, отображение этой задачи в
активных и обрабатываемых, web-cups и kdeprint-4. Это ещё примерно 1минута. И
того печать обычного текста на удалённый принтер занимает порядка двух минут.
Неудивительно, что печать изображения просто зависает!
------- Comment #5 From 2011-05-20 16:44:31 -------
(В ответ на комментарий №4)
> активных и обрабатываемых, web-cups и kdeprint-4. Это ещё примерно 1минута. И
> того печать обычного текста на удалённый принтер занимает порядка двух минут.
> Неудивительно, что печать изображения просто зависает!
Это ещё очень оптимистично.
Только что распечатал четыре символа на странице документа LibreOffice. Получаю
30 секунд прохождение на принтер и 7.5 минут ещё продолжает висеть задача на
печать, как "Обработка" в очереди печати!

Такое ощущение, что в новом CUPS изменён механизм сетевого взаимодействия
самого с собою, что сломало совместимость. Возможно кто-то про подобное слышал?
------- Comment #6 From 2011-05-20 17:38:07 -------
(В ответ на комментарий №5)
> Только что распечатал четыре символа на странице документа LibreOffice. Получаю
> 30 секунд прохождение на принтер и 7.5 минут ещё продолжает висеть задача на
> печать, как "Обработка" в очереди печати!
Сразу же кладу на страницу документа LibreOffice небольшое изображение
(png-23КиБ) печатаю и получаю 30 секунд отправка на принтер и ещё 15 минут вис
статуса "Обработка", после!
------- Comment #7 From 2011-05-20 18:39:01 -------
Ещё ситуации, с печатью изображений.
Беру *.tif c размером 3000x2000 пикселов и пробую печатать.
Открываю в Gimp, отправляю - и тишина, через 5 минут ушла и задача.
Открываю в Okular, отправляю - и тишина, уже пол часа прошло, а нет ни печати
ни закрытие задачи.
По печати *.tif это уже наверное хроническая проблема:
https://bugzilla.altlinux.org/show_bug.cgi?id=20882
------- Comment #8 From 2011-05-20 18:57:35 -------
(В ответ на комментарий №7)
> Ещё ситуации, с печатью изображений.
> Беру *.tif c размером 3000x2000 пикселов и пробую печатать.
> Открываю в Gimp, отправляю - и тишина, через 5 минут ушла и задача.
> Открываю в Okular, отправляю - и тишина, уже пол часа прошло, а нет ни печати
При печати на другой принтер hp5100n, но через CUPS-сервер, прогоняется пустая
страница.

В результате можно сказать, что у текущего CUPS появилась проблема обнаружения
факта успешной печати на сетевом сервере CUPS старой версии. Из-за чего, даже
при успешной печати простых документов приходится ожидать от 5 до 30 минут
снятия статуса "Обработка", для возможности отослать следующий документ на этот
принтер.
------- Comment #9 From 2011-05-21 19:12:22 -------
(В ответ на комментарий №8)
> В результате можно сказать, что у текущего CUPS появилась проблема обнаружения
> факта успешной печати на сетевом сервере CUPS старой версии. Из-за чего, даже
> при успешной печати простых документов приходится ожидать от 5 до 30 минут
> снятия статуса "Обработка", для возможности отослать следующий документ на этот
> принтер.
Добавил сегодня сетевой принтер hp5100n и hp1200 (на сервере с CUPS 1.3.10,
через SMB) прямо и попробовал печатать на них. Задание отправляется и снимается
статус "Обработка" в течении 5 секунд. При этом всё печатается замечательно,
включая и *.tif из Gimp и Okular.

Думаю пора мне сервер обновить, хотя тут возникает вопрос, насколько
принципиальна поддержка работы текущего CUPS со своими старыми версиями.
------- Comment #10 From 2012-04-09 20:34:21 -------
Ввиду планов на p7 идеально бы посмотреть на cups-1.6...
------- Comment #11 From 2013-10-21 15:02:01 -------
Считаю, что проблемы взаимодействия CUPS 1.3.10 с CUPS 1.4.6 решать уже поздно
:(
------- Comment #12 From 2013-10-21 15:09:21 -------
tonik@ успел убрать вот этот патч как "ненужный":
cups-1.6.1-ubuntu-forward-port-cups-1-5-x-cups-browsing.patch

Он чуточку отвалился от новой версии, я недопритёр, когда было время. :(
Интерес в том, чтоб не бегать и не растыкивать старые принт-серверы всем
руками, есть.
------- Comment #13 From 2013-10-21 15:13:24 -------
эти "проблемы" сейчас принято решать с помощью cups-browsed.